org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmAssociationImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl
  - - org.apache.olingo.odata2.client.core.edm.Impl.EdmAssociationImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmAssociation, EdmNamed, EdmType

      public class EdmAssociationImpl
      extends EdmNamedImpl
      implements EdmAssociation, EdmAnnotatable

  Objects of this class represent Asociation

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `edm, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmAssociationImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `List<EdmMetadataAssociationEnd>` | `getAssociationEnds()`
    `EdmDocumentation` | `getDocumentation()`
    `EdmAssociationEnd` | `getEnd(String role)` Get the `EdmAssociationEnd` by role
    `EdmMetadataAssociationEnd` | `getEnd1()` Get the `EdmAssociationEnd` for end1
    `EdmMetadataAssociationEnd` | `getEnd2()` Get the `EdmAssociationEnd` for end2
    `EdmMultiplicity` | `getEndMultiplicity(String role)`
    `EdmTypeKind` | `getKind()`
    `String` | `getNamespace()` Namespace of this `EdmType`
    `EdmReferentialConstraint` | `getReferentialConstraint()` Get the `EdmReferentialConstraint`
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setAssociationEnds(List<EdmMetadataAssociationEnd> associationEnds)`
    `void` | `setDocumentation(EdmDocumentation documentation)`
    `void` | `setNamespace(String namespace)`
    `void` | `setReferentialConstraint(EdmReferentialConstraint referentialConstraint)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `getName, setEdm, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

- - ### Constructor Detail

    - #### EdmAssociationImpl

          public EdmAssociationImpl()

  - ### Method Detail

    - #### getDocumentation

          public EdmDocumentation getDocumentation()

    - #### setDocumentation

          public void setDocumentation(EdmDocumentation documentation)

    - #### getAssociationEnds

          public List<EdmMetadataAssociationEnd> getAssociationEnds()

    - #### getNamespace

          public String getNamespace()
                              throws EdmException

      Description copied from interface: `EdmType`
      Namespace of this `EdmType`
      Specified by:
        `getNamespace` in interface `EdmType`
      Returns:
        namespace as String
      Throws:
        `EdmException`

    - #### setNamespace

          public void setNamespace(String namespace)

      Parameters:
        `namespace` - the namespace to set

    - #### getKind

          public EdmTypeKind getKind()

      Specified by:
        `getKind` in interface `EdmType`
      Returns:
        `EdmTypeKind` of this `EdmType`

    - #### getEnd

          public EdmAssociationEnd getEnd(String role)
                                   throws EdmException

      Description copied from interface: `EdmAssociation`
      Get the `EdmAssociationEnd` by role
      Specified by:
        `getEnd` in interface `EdmAssociation`
      Returns:
        `EdmAssociationEnd`
      Throws:
        `EdmException`

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

    - #### getEndMultiplicity

          public EdmMultiplicity getEndMultiplicity(String role)
                                             throws EdmException

      Throws:
        `EdmException`

    - #### getEnd1

          public EdmMetadataAssociationEnd getEnd1()
                                            throws EdmException

      Description copied from interface: `EdmAssociation`
      Get the `EdmAssociationEnd` for end1
      Specified by:
        `getEnd1` in interface `EdmAssociation`
      Returns:
        `EdmAssociationEnd`
      Throws:
        `EdmException`

    - #### getEnd2

          public EdmMetadataAssociationEnd getEnd2()
                                            throws EdmException

      Description copied from interface: `EdmAssociation`
      Get the `EdmAssociationEnd` for end2
      Specified by:
        `getEnd2` in interface `EdmAssociation`
      Returns:
        `EdmAssociationEnd`
      Throws:
        `EdmException`

    - #### getReferentialConstraint

          public EdmReferentialConstraint getReferentialConstraint()
                                                            throws EdmException

      Description copied from interface: `EdmAssociation`
      Get the `EdmReferentialConstraint`
      Specified by:
        `getReferentialConstraint` in interface `EdmAssociation`
      Returns:
        `EdmReferentialConstraint`
      Throws:
        `EdmException`

    - #### setReferentialConstraint

          public void setReferentialConstraint(EdmReferentialConstraint referentialConstraint)

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

    - #### setAssociationEnds

          public void setAssociationEnds(List<EdmMetadataAssociationEnd> associationEnds)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EdmNamedImpl`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.